#!/bin/bash
echo "🤔 Checking for Konsole installation..."
if konsole -v; then
  echo "🥰 Konsole is already installed"
else
  echo "🤩 Installing Konsole Terminal"
  sudo apt-get install konsole
  echo "👍 Konsole installed"
fi

echo "🦄 Configuring Konsole"
if [ ! -d ~/dracula-konsole ]; then
  git clone https://github.com/dracula/konsole.git ~/dracula-konsole
fi
cp ~/dracula-konsole/Dracula.colorscheme ~/.local/share/konsole
rm ~/.local/share/konsole/{space-octopus.profile,konsolerc}
ln -s ~/dotfiles/konsole/space-octopus.profile ~/.local/share/konsole/space-octopus.profile
ln -s ~/dotfiles/konsole/konsolerc ~/.local/share/konsole/konsolerc
echo "👍 Konsole configured"
