#!/bin/bash
echo " - Installing Zsh - "
sudo apt-get install zsh

echo " - Setting Zsh as default - "
sudo chsh -s /usr/bin/zsh

echo " - Installing oh-my-zsh - "
sh -c "$(curl -fsSL https://raw.github.com/robbyrussell/oh-my-zsh/master/tools/install.sh)"

echo " - Setting oh-my-zsh theme -"
sed -ri 's/ZSH_THEME="(.*?)"/ZSH_THEME="kardan"/g' ~/.zshrc
source ~/.zshrc

echo " - Setting up Zsh Plugins - "
git clone https://github.com/zsh-users/zsh-autosuggestions ${ZSH_CUSTOM:-~/.oh-my-zsh/custom}/plugins/zsh-autosuggestions
sed -ri 's/plugins=\((.*?)\)/plugins=\(git zsh-autosuggestions\)/g' ~/.zshrc
